Last Comment Bug 712614 - extensions.js never stops observing extensions.update.enabled
: extensions.js never stops observing extensions.update.enabled
Status: RESOLVED FIXED
[MemShrink][qa-]
: mlk, regression
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: Trunk
: All All
: -- normal with 1 vote (vote)
: mozilla12
Assigned To: Steffen Wilberg
:
Mentors:
: 712617 (view as bug list)
Depends on:
Blocks: bc-leaks 710064
  Show dependency treegraph
 
Reported: 2011-12-21 05:30 PST by Dão Gottwald [:dao]
Modified: 2012-02-01 15:42 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
-
fixed


Attachments
patch (1.13 KB, patch)
2011-12-21 05:51 PST, Steffen Wilberg
dtownsend: review+
blassey.bugs: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2011-12-21 05:30:33 PST
Bug 710064 added a pref observer to extensions.js without ever removing it, likely keeping about:addons alive after closing it, as has been noticed in bug 658738 comment 88.
Comment 1 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-12-21 05:41:07 PST
*** Bug 712617 has been marked as a duplicate of this bug. ***
Comment 2 Steffen Wilberg 2011-12-21 05:51:00 PST
Created attachment 583469 [details] [diff] [review]
patch

Adding removeObserver call.
The other change is cleanup while I'm there - there's no second argument to removeObserver: http://mxr.mozilla.org/mozilla-central/source/modules/libpref/public/nsIPrefBranch2.idl#130
Comment 3 Steffen Wilberg 2011-12-21 05:53:04 PST
And sorry for stealing your time.
Comment 5 Ed Morley [:emorley] 2011-12-22 03:51:53 PST
https://hg.mozilla.org/mozilla-central/rev/8260e9862eb5
Comment 6 Steffen Wilberg 2011-12-22 04:04:16 PST
Comment on attachment 583469 [details] [diff] [review]
patch

This is a regression introduced in Firefox 11, so should be fixed there as well.
Patch is trivial.
Comment 7 David Baron :dbaron: ⌚️UTC+8 (review requests must explain patch) 2011-12-22 06:57:46 PST
This is a pretty bad leak regression with a simple fix; we should take it for 11.  (It was on m-c for less than a week; just happened to hit the aurora pull dates.)
Comment 9 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-01 13:46:42 PST
As there anything QA can do to verify this fix?
Comment 10 Dão Gottwald [:dao] 2012-02-01 14:33:18 PST
(In reply to Anthony Hughes, Mozilla QA (irc: ashughes) from comment #9)
> As there anything QA can do to verify this fix?

no
Comment 11 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-02-01 15:42:04 PST
Thanks Dao for the quick response. qa-

Note You need to log in before you can comment on or make changes to this bug.